/*
 * @(#)src/classes/sov/javax/transaction/TransactionRolledbackException.java, jdbc, asdev, 20081128 1.8
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM SDK, Java(tm) 2 Technology Edition, v5.0
 * (C) Copyright IBM Corp. 1998, 2005. All Rights Reserved
 * ===========================================================================
 */

/*
 * ===========================================================================
 (C) Copyright Sun Microsystems Inc, 1992, 2004. All rights reserved.
 * ===========================================================================
 */






/*
/*
 * RMI-IIOP v1.0
 *
 */

package javax.transaction;

/**
 * This exception indicates that the transaction associated with processing
 * of the request has been rolled back, or marked to roll back. Thus the
 * requested operation either could not be performed or was not performed
 * because further computation on behalf of the transaction would be
 * fruitless
 */
public class TransactionRolledbackException extends java.rmi.RemoteException 
{
    public TransactionRolledbackException()
    {
	super();
    }

    public TransactionRolledbackException(String msg)
    {
	super(msg);
    }
}

